# bigip_dns_cache_resolver – Manage DNS resolver cache configurations on BIG-IP

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage DNS resolver cache configurations on BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

answer_default_zones
boolean

Choices:
- no
- yes

Specifies whether the system answers DNS queries for the default zones localhost, reverse 127.0.0.1 and ::1, and AS112.
When creating a new cache resolver, if this parameter is not specified, the default is `no`.

forward_zones raw |  | Forward zones associated with the cache. To remove all forward zones, specify a value of `none`.
| name string / required |  | Specifies a FQDN for the forward zone.
| nameservers list |  | Specifies the IP address and service port of a recursive nameserver that answers DNS queries for the zone when the response cannot be found in the DNS cache.
|  | address string |  | Address of recursive nameserver.
|  | port integer |  | Port of recursive nameserver. When specifying new nameservers, if this value is not provided, the default is `53`.
name string / required |  | Specifies the name of the cache.
partition string | Default: "Common" | Device partition to manage resources on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

route_domain string |  | Specifies the route domain the resolver uses for outbound traffic.

state
string

Choices:
- present ←
- absent

When `present`, ensures that the resource exists.
When `absent`, ensures the resource is removed.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create a DNS resolver cache
      bigip_dns_cache:
        name: foo
        answer_default_zones: yes
        forward_zones:
          - name: foo.bar.com
            nameservers:
              - address: 1.2.3.4
                port: 53
              - address: 5.6.7.8
        route_domain: 0
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
param1 boolean | changed | The new param1 value of the resource. Sample: True
param2 string | changed | The new param2 value of the resource. Sample: Foo is bar

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.